package com.backendsys.modules.cms.navigation.service;

import com.backendsys.modules.cms.navigation.entity.Navigation;
import com.backendsys.utils.response.PageEntity;

import java.util.List;
import java.util.Map;

public interface NavigationService {

    // 获取导航列表
    PageEntity selectNavigationList(Navigation navigation);
    // 获取导航列表 (模板引擎)
    List<Navigation> selectNavigationTemplate(String lang);

    // 获取导航详情
    Map<String, Object> selectNavigationDetail(Navigation navigation);
    // 创建导航
    Map<String, Object> insertNavigation(Navigation navigation);
    // 编辑导航
    Map<String, Object> updateNavigation(Navigation navigation);
    // 删除导航
    Map<String, Object> deleteNavigation(Navigation navigation);
    Map<String, Object> deleteNavigationBatch(Navigation navigation);
}
